@ECHO OFF
REM ##############################################################
REM          CodeTyphon Base Windows Setup File
REM       Copyright (c) PilotLogic Software House.
REM                All rights reserved.
REM ##############################################################

:GO_START
CLS

ECHO ===============================================================
ECHO          "CodeTyphon" Setup System for Windows
ECHO ===============================================================
ECHO.
ECHO    1) Run CodeTyphon Center
ECHO    2) Run Lazarus
ECHO.
ECHO    3) Build Lazarus
ECHO.
ECHO    4) Remove from disk Lazarus
ECHO    5) Remove from disk Lazarus and FreePascal
ECHO.
ECHO    6) Remove and Build Lazarus
ECHO    7) Remove and Build Lazarus and FreePascal
ECHO.
ECHO    8) EXIT
ECHO.

SET /P xxxx="Select action (press 1..8 key):"%

if "%xxxx%" == "1" goto GO_1
if "%xxxx%" == "2" goto GO_2
if "%xxxx%" == "3" goto GO_3
if "%xxxx%" == "4" goto GO_4
if "%xxxx%" == "5" goto GO_5 
if "%xxxx%" == "6" goto GO_6
if "%xxxx%" == "7" goto GO_7
if "%xxxx%" == "8" goto GO_END
GOTO GO_START

rem @@@@@@@@@@@@@@@@@@@@ Start CodeTyphon @@@@@@@@@@@@@@@@@@@@@
:GO_1
if EXIST C:\Windows\SysWOW64 (
START CodeTyphon_win64.exe
) else (
START CodeTyphon_win32.exe
)
GOTO GO_START

rem @@@@@@@@@@@@@@@@@@@@ Start Lazarus IDE @@@@@@@@@@@@@@@@@@@@
:GO_2
START c:\lazarus\startlazarus.exe
GOTO GO_START

rem @@@@@@@@@@@@@@@@@@@ Build Lazarus @@@@@@@@@@@@@@@@@@@@@@@@@
:GO_3
cd ScriptsWin
call x_CodeTyphon_Build_Lazarus.bat
cd..
GOTO GO_START

rem @@@@@@@@@@@@@@@@@@@@ Remove Lazarus @@@@@@@@@@@@@@@@@@@@@@@
:GO_4
cd ScriptsWin
call xx_CodeTyphon_Remove_Lazarus.bat
cd..
GOTO GO_START

rem @@@@@@@@@@@@@@@@@@@@ Remove ALL @@@@@@@@@@@@@@@@@@@@@@@@@@@
:GO_5
cd ScriptsWin
call xx_CodeTyphon_Remove_ALL.bat
IF NOT ERRORLEVEL 0 goto ERROR
Rem Allows for conditional operations in batch processing.
cd..
GOTO GO_START

rem @@@@@@@@@@@@@@@@@@@@ Remove and Build Lazarus @@@@@@@@@@@@@
:GO_6
cd ScriptsWin
call x_CodeTyphon_Remove_Make_Lazarus
IF NOT ERRORLEVEL 0 goto ERROR
cd..
GOTO GO_END

rem @@@@@@@@@@@@@@@@@@@@ Remove and Build ALL @@@@@@@@@@@@@@@@@
:GO_7
cd ScriptsWin
call x_CodeTyphon_Remove_Make_ALL
IF NOT ERRORLEVEL 0 goto ERROR
cd..
goto GO_END

:ERROR
echo due to bugs in these scripts, an error happened. go find it yourself.
echo error happened in %0

rem @@@@@@@@@@@@@@@@@@@@ Exit @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
:GO_END
